<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv='content-type' content='text/html; charset=utf-8'>
      <title>Wrightia :: Snapshot Collector</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      %end invoke%
      <style>
         li.taskState img
            {
            margin: 0 0 1px 0;
            }
      </style>
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td colspan="2" class="navbar">
               <ul>
                  <li><a href="doc/ReleaseNotes.html">Release Notes</a></li>
                  <li><a href="doc/VersionHistory.html">Version History</a></li>
                  <li><a href="doc/Troubleshooting.html">Troubleshooting</a></li>
                  <li><a href="doc/PackageHelp.html">Help</a></li>
               </ul>
            </td>
         </tr>
         <tr>
            <td>
               %invoke wia.pub.isspscoll.ui.about:getMetadata%
                  <h1 class="title">%value packageLongName%, v%value packageVersion%</h1>
               %onerror%
                  <h1 class="title">Error: could not resolve package info</h1>
               %end invoke%
               <h3 class="title">Home Page</h3>
            </td>
            <td class="logo"><img src="/WiaRoot/images/logo.gif"></td>
         </tr>
      </table>

      <h2>Credits</h2>
         <div>
            <p>A package developed by <span class="productname">Wrightia, S.A.</span> (<span class="productname">www.wrightia.com</span>) &copy; 2006-2016.</p>
         </div>

   %ifvar LicenseInfo/isValid equals('false')%
      <h2>License Warning</h2>
         <div class="bodyText">
            <p class="attention">
               This is installation is not in an usable state due to licensing restrictions.
            </p>
            <p>
               <span class="stressed">Please check your <span class="productname">Service Profiler</span> installation</span>:
               it does not need to be started, <span class="emphasized">but it has to be valid</span>.
            </p>
         </div>
   %end if%

    <h2>Purpose</h2>
      <div>
         <p>
            This package provides functionality to collect, save, organize and view snapshots taken from
            <span class="productname">Service Profilers</span> installed at remote
            <span class="productname">Integration Servers</span>.
         </p>
         <p>
            If completely configured, this package contains functionality that:
         </p>
         <ul>
            <li>Periodically collects snapshots from remote <span class="productname">Integration Servers</span>;
               <p>This is triggered by a <span class="productname">Scheduled Task</span> that needs to be configured and started.</p>
               <p>
                  The list of <span class="productname">Integration Servers</span> to access is selected from
                  <span class="productname">Remote Aliases</span> defined with name starting with "<tt>%value RemoteAliasPrefix%</tt>".
               </p>
            </li>
            <li>Stores and organizes the collected snapshots per server and the snapshot timestamps;
               <p>
                  These can than be selected and loaded into a running <span class="productname">Service Profiler</span> in
                  the current server.
               </p>
               <p>
                  The snapshots are saved as XML files to this <span class="productname">Integration Server</span>'s
                  hard disk. Monitor the available disk space and make sure you have enough for the amount of snapshots
                  you which to keep.
               </p>
               %ifvar LicenseInfo/isValid equals('true')%
                  <p>Select a server and a snapshot <a href="server-select.dsp">to view</a>.</p>
                  <p>Select a server <a href="server-delete.dsp">to remove</a> from repository.</p>
               %end if%
            </li>
            <li>Periodically, also triggers a <span class="productname">Scheduled Task</span> that purges old snapshots;
               <p>This task should also be configured and started.
                  Its frequency is expected to be much wider than the one for collection.
                  For instance: <em>once-a-day</em> versus <em>every-two-hours</em>.
               </p>
               <p>This task removes not only duplicated, overlapping and inconsistent snapshots, but also snapshots that
                  are older than a %ifvar LicenseInfo/isValid equals('true')%<a href="settings-edit.dsp">%end if%configured period%ifvar LicenseInfo/isValid equals('true')%</a>%end if%.
               </p>
            </li>
            <li>Manage remote <span class="productname">Service Profiler</span>(s) <span class="systemname">License Key</span>.
               <p>%ifvar LicenseInfo/isValid equals('true')%<a href="issprof/remote/">%end if%Check their status%ifvar LicenseInfo/isValid equals('true')%</a>%end if% and update to a new key.
               </p>
               <p>These operations are not expected to be very recurrent, so they are <span class="stressed">not optimized</span> by any parallelization.
               </p>
               <p>The status verification and the license set are executed in serial over all registered remote
                  <span class="productname">Service Profiler</span>s. So, it may take a while, depending on the number
                  of servers, network speed and whether they are readily available.
               </p>
            </li>
         </ul>
      </div>

    <h2>Security</h2>
      <div>
         <p>
            The public functionality available from this package is of very strict usage and limited to users associated
            with the following <span class="productname">ACLs</span>:
         </p>
         %ifvar ACLs%
            <ul>
               %loop ACLs%<li><tt>%value%</tt></li>%end loop%
               <li><tt>Administrators</tt>
                  <p>Only members of this <span class="productname">ACL</span> are allowed to set the <span class="systemname">License Key</span>
                     of remote <span class="productname">Service Profiler</span>(s).
                  </p>
               </li>
            </ul>
         %else%
            <p><span class="stressed">No ACL info found</span>.
               Please check if this package is correctly installed and with no loading errors.
            </p>
         %endif%
         <p>
            Any new or specific users need to belong to a group and that group needs to be manually added to the indicated
            <span class="productname">ACL</span>(s).
         </p>
      </div>

    <h2>Administration</h2>
      <div>
         <p>The required scheduled tasks mentioned above are automatically created upon installation of the package,
            but are set as <span class="systemname">Suspended</span>. <span class="stressed">The tasks need to be manually started</span>.
         </p>
         <p>Current state of the predefined tasks:</p>
         <ul>
            <li class="taskState">Snapshot Gatherer(s):  %loop Scheduled/gatherer%<img src="images/%ifvar isActive equals('true')%green%else%red%endif%.gif"  alt="%ifvar isActive  equals('true')%green%else%red%endif%" title="The Snapshots Gatherer task is%ifvar isActive equals('false')% not%endif% active" />%end loop%
            </li>
            <li class="taskState">Snapshot Purger:    <img src="images/%ifvar Scheduled/purgerIsActive equals('true')%green%else%red%endif%.gif"    alt="%ifvar Scheduled/purgerIsActive    equals('true')%green%else%red%endif%" title="The Snapshots Purger task is%ifvar Scheduled/purgerIsActive equals('false')% not%endif% active" /></li>
            <li class="taskState">Snapshot Compactor: <img src="images/%ifvar Scheduled/compactorIsActive equals('true')%green%else%red%endif%.gif" alt="%ifvar Scheduled/compactorIsActive equals('true')%green%else%red%endif%" title="The Snapshots Compactor task is%ifvar Scheduled/compactorIsActive equals('false')% not%endif% active" /></li>
         </ul>
      </div>

   </body>
</html>
