<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Service Profiler License Key remote management</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="/WiaServiceProfiler/issprofiler.css">
      <link rel="stylesheet" type="text/css" href="../../css/package.css" />
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      <script type="text/javascript" src="/WiaServiceProfiler/tablesorter/tablesorter.js"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dom.js"></script>
      %end invoke%
      <style>
         #alpha_overlay {
            position:fixed;
            width:100%;
            height:100%;
            left:0;
            top:0;
            background:url(../../images/lightboxoverlay.png) repeat;
            text-align:center;
            vertical-align:middle;
            z-index:10000;
            }
         #alpha_overlay div.processingMessage {
            color:#fff;
            font-size:3em;
            margin-top:20%;
            margin-left:auto;
            margin-right:auto;
         }
         table.formContainer tbody td,
         table.formContainer td.columnHeading,
         table.formContainer td.columnHeading-r,
         table.formContainer td.columnHeading-c {
            height:18px;
         }
      </style>
      <script type="text/javascript">
         <!-- // Activate cloak

         TableSorter.imagesFolder = "/WiaServiceProfiler/" + TableSorter.imagesFolder;

         function setAllServers(isChecked)
         /*****************************/{
            var xElements = getElementsByName("input", "serverIds");

            if (xElements)
               for(var xIdx = 0; xIdx < xElements.length; xIdx++)
                  xElements[xIdx].checked = isChecked;
         }

         function showAlphaOverlay()
         /*****************************/{
            document.getElementById("alpha_overlay").style.display = "block";
            return true;
         }

         // Deactivate cloak -->
      </script>
   </head>

   <body>
      <div id="alpha_overlay" style="display:none;">
         <div class="processingMessage">Please wait...</div>
      </div>

      <table class="topContainer">
         <tr>
            <td class="menusection menusection-SnapshotCollector" colspan="2">Remote Service Profilers &gt; License Key Status</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="license-key-status.dsp">Refresh</a></li>
               </ul>
            </td>
            <td class="navbar">
               <ul>
                  <li><a href="../../">Home</a></li>
                  <li><a href="../../doc/PackageHelp.html#licensekeystatus" target="isspcoll_onlinehelp">Help</a></li>
               </ul>
            </td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         %invoke wia.pub.isspscoll.ui.remoteLicenseStatus:getLicenseStatusList%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  Error launching the License Key status gatherering service.</br>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         %end invoke%
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <div class="note">
                  <p>
                     In the table below, you can view the <span class="systemname">License Key</span> status of the remote
                     registered <span class="productname">Service Profiler</span>(s).
                  </p>
                  %ifvar isLicenseSetCapable equals('true')%
                     %ifvar isAllowedSetNewLicenseKey equals('true')%
                        <p>
                           You can also select the <span class="productname">Integration server</span>(s) from the list to set their new
                           <span class="systemname">License Key</span>.
                        </p>
                        <p>
                           The new <span class="systemname">License Key</span> has to be entered in the <em>text-box</em> and it will be
                           validated locally before setting it into the remote <span class="productname">Service Profiler</span>(s).
                        </p>
                     %end if%
                  %else%
                     <p>
                        <span class="attention loud">Attention</span>: The <span class="productname">Service Profiler</span> installed in this
                        <span class="productname">Integration server</span> is <span class="stressed">not suitable</span> for the remote
                        <span class="systemname">License Key</span> capability:
                     </p>
                     <ul>
                        <li>Please install the most recent version of <span class="productname">Service Profiler</span> to enable this capability.</li>
                     </ul>
                  %end if%
               </div>
               <form name="frmMain" method="post" action="license-key-set.dsp">
                  <table name="formContainer" class="formContainer" sortable="true">
                     <thead>
                        <tr class="heading">
                           <td colspan="%ifvar /isLicenseSetCapable equals('true')%%ifvar /isAllowedSetNewLicenseKey equals('true')%7%else%6%end if%%else%6%end if%">Remote Service Profilers License Key Status</td>
                        </tr>
                        %ifvar /isAllowedSetNewLicenseKey equals('true')%
                           <tr class="oddrow">
                              <td class="oddrow" colspan="2">New License Key:</td>
                              <td class="oddrow-l" colspan="5"><input type="text" name="key" value="" style="width: 50em;"/></td>
                           </tr>
                        %end if%
                        <tr>
                           %ifvar /isAllowedSetNewLicenseKey equals('true')%
                              <td class="columnHeading-c"><input type="checkbox" onclick="javascript: setAllServers(this.checked)" /></td>
                           %end if%
                           <td class="columnHeading"   sortable="true">Host</td>
                           <td class="columnHeading-r" sortable="true" sortType="number">Port</td>
                           <td class="columnHeading-c" sortable="true" sortType="text">Version</td>
                           <td class="columnHeading-r" sortable="true" sortType="number">Days Left</td>
                           <td class="columnHeading-c">Expiration Date</td>
                           <td class="columnHeading">Status Message</td>
                        </tr>
                     </thead>
                     <tbody>
                        %loop Servers%
                           <tr class="selectableRowStripped">
                              %ifvar /isAllowedSetNewLicenseKey equals('true')%
                                 <td class="oddrowdata">%ifvar isSelectable equals('true')%<input type="checkbox" name="serverIds" value="%value $uuid%"/>%else%&nbsp;%endif%</td>
                              %end if%
                              <td class="oddrow-l">%value host%</td>
                              <td class="oddrow">%value port%</td>
                              <td class="oddrowdata">%value Status/version%</td>
                              <td class="oddrow">%value Status/Expiration/daysToExpiration%</td>
                              <td class="oddrowdata">%value Status/Expiration/expirationDate%</td>
                              <td class="oddrow-l">%value Status/message%</td>
                           </tr>
                        %end loop%
                     </tbody>
                     %ifvar /isAllowedSetNewLicenseKey equals('true')%
                        <tfoot>
                           <tr>
                              <td class="action" colspan="7">
                                 <input type="submit" name="setLicense" value="Set New License Key" onclick="javascript: showAlphaOverlay();" />
                              </td>
                           </tr>
                        <tfoot>
                     %end if%
                  </table>
               </form>
            </td>
         </tr>
      </table>
   </body>
</html>
