<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Snapshot Collector</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="/WiaServiceProfiler/issprofiler.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      <script type="text/javascript" src="/WiaServiceProfiler/tablesorter/tablesorter.js"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dom.js"></script>
      %end invoke%
      <style>
         table.formContainer tbody td { height: 20px; }
      </style>
      <script type="text/javascript">
         <!-- // Activate cloak

         TableSorter.imagesFolder = "/WiaServiceProfiler/" + TableSorter.imagesFolder;

         function setServerId(elementId)
         /*****************************/{
            var xResult = false;

            if (elementId)
               {
               var xSingleElement = document.getElementById("singleServerId");

               if (xSingleElement)
                  {
                  xSingleElement.value = elementId;

                  // clear any other selections
                  setAllServers(false);

                  xResult = confirmSubmit();
                  }
               }

            return xResult;
         }

         function setAllServers(isChecked)
         /*****************************/{
            var xElements = getElementsByName("input", "serverIds");

            if (xElements)
               for(var xIdx = 0; xIdx < xElements.length; xIdx++)
                  xElements[xIdx].checked = isChecked;
         }

         function isAnyServerSelected()
         /*****************************/{
            var xResult    = false;
            var xElements  = getElementsByName("input", "serverIds");

            if (xElements)
               {
               var xSelectedCount = 0;

               for(var xIdx = 0; xIdx < xElements.length; xIdx++)
                  if (xElements[xIdx].checked)
                     ++xSelectedCount;

               xResult = (xSelectedCount > 0);
               }

            if (xResult)
               xResult = confirmSubmit();

            return xResult;
         }

         function confirmSubmit()
         /*****************************/{
            return confirm("Are you sure you what to delete the selected server(?)\nThis operation cannot be undone.");
         }

         // Deactivate cloak -->
      </script>
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-SnapshotCollector" colspan="2">Server Deletion</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="server-delete.dsp">Refresh</a></li>
               </ul>
            </td>
            <td class="navbar">
               <ul>
                  <li><a href="./">Home</a></li>
                  <li><a href="doc/PackageHelp.html#serverdeleteselection" target="isspcoll_onlinehelp">Help</a></li>
               </ul>
            </td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         %ifvar action equals('delete')%
            %invoke wia.pub.isspscoll.ui.deleteServers:deleteSelected%
               %ifvar message%
                  <tr>
                     <td class="message" colspan="2">%value message encode(xml)%</td>
                  </tr>
               %end if%
            %onerror%
               <tr>
                  <td class="message" colspan="2">
                     Error launching the Server Delete service.</br>
                     %value errorMessage encode(xml)%
                  </td>
               </tr>
            %end invoke%
         %endif%
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               %invoke wia.pub.isspscoll.ui.deleteServers:getMetadata%
                  <div class="note">
                     %ifvar /isAllowedRemoveServer equals('true')%
                        <p>
                           Select an <span class="productname">Integration server</span> from the list below
                           to remove it from the list of configured servers.
                        </p>
                        <p>
                           <span class="stressed">Active servers cannot be selected for removal</span>.
                           If you which to remove any of them, first make them inactive by deleting their
                           <span class="systemname">Remote Alias</span> definition dedicated to this collector
                           (<tt>%value RemoteAliasPrefix%*</tt>).
                        </p>
                     %else%
                        <p>
                           <span class="attention emphasized">Important</span>:
                           %ifvar LicenseInfo/isValid equals('true')%
                              Only users with administrator privileges can select and remove defined <span class="productname">Integration server</span>s.
                           %else%
                              A correctly installed <span class="productname">Service Profiler</span>, with valid license, is required to access this functionality.
                           %end if%
                        </p>
                     %end if%
                  </div>
                  <form name="frmMain" method="post" action="server-delete.dsp">
                     <table name="formContainer" class="formContainer" sortable="true">
                        <thead>
                           <tr class="heading">
                              %ifvar /isAllowedRemoveServer equals('true')%
                                 <td colspan="5">Select a server to delete
                                    <input type="hidden" name="serverId" id="singleServerId" />
                                 </td>
                              %else%
                                 <td colspan="5">List of defined servers</td>
                              %end if%
                           </tr>
                           %ifvar /isAllowedRemoveServer equals('true')%
                              <tr>
                                 <td class="oddrow" colspan="5">
                                    <table>
                                       <tr>
                                          <td>&nbsp;</td>
                                          <td class="oddrow">Forget server(s):</td>
                                          <td class="oddrow-l">
                                             <input type="checkbox" name="forgetSelected" />
                                          </td>
                                          <td>&nbsp;</td>
                                       </tr>
                                    </table>
                                 </td>
                              </tr>
                           %end if%
                           <tr>
                              %ifvar /isAllowedRemoveServer equals('true')%
                                 <td class="columnHeading-c"><input type="checkbox" onclick="javascript: setAllServers(this.checked)" /></td>
                              %end if%
                              <td class="columnHeading"   sortable="true">Host</td>
                              <td class="columnHeading"   sortable="true" sortType="number">Port</td>
                              <td class="columnHeading-c" sortable="true" sortOrder="desc" >Active</td>
                              %ifvar /isAllowedRemoveServer equals('true')%
                                 <td class="columnHeading-c">Select</td>
                              %end if%
                           </tr>
                        </thead>
                        <tbody>
                           %loop Servers%
                              <tr class="selectableRowStripped">
                                 %ifvar /isAllowedRemoveServer equals('true')%
                                    %ifvar $alias%
                                       <td class="oddrowdata">&nbsp;</td>
                                    %else%
                                       <td class="oddrowdata"><input type="checkbox" name="serverIds" value="%value $uuid%"/></td>
                                    %end if%
                                 %end if%
                                 <td class="oddrow-l">%value host%</td>
                                 <td class="oddrow-l">%value port%</td>
                                 <td class="oddrowdata">%ifvar $alias%Y%end%</td>
                                 %ifvar /isAllowedRemoveServer equals('true')%
                                    %ifvar $alias%
                                       <td class="oddrowdata">&nbsp;</td>
                                    %else%
                                       <td class="oddrowdata"><input type="submit" value="Go" onclick="javascript: return setServerId('%value $uuid%');"/></td>
                                    %end if%
                                 %end if%
                              </tr>
                           %end loop%
                        </tbody>
                        %ifvar /isAllowedRemoveServer equals('true')%
                           <tfoot>
                              <tr>
                                 <td class="action" colspan="5">
                                    <input type="hidden" name="action" value="delete" />
                                    <input type="submit" name="build"  value="Delete Server(s)" onclick="javascript: return isAnyServerSelected();"/>
                                 </td>
                              </tr>
                           <tfoot>
                        %end if%
                     </table>
                  </form>
               %onerror%
                  <tr>
                     <td class="message" colspan="4">
                        An error occurred trying to build the report data.
                        Check by executing the '%value errorService%' service on a browser.
                        The error details are as follows: <br/><br/>
                        %value errorMessage encode(xml)%
                     </td>
                  </tr>
               %end invoke%
            </td>
         </tr>
      </table>
   </body>
</html>
